%define module	Convert-ASN1

Name: perl-%module
Version: 0.16
Release: alt1

Packager: Grigory Milev <week@altlinux.ru>

Summary: %module - will parse ASN.1 descriptions
License: GPL
Group: Development/Perl

Url: http://www.cpan.org/modules/by-module/%dirname
BuildArch: noarch
Source: %url/%module-%version.tar.bz2
AutoReqProv: perl, yes

# Automatically added by buildreq on Tue Nov 05 2002
BuildRequires: perl-devel

%description
I consider Convert::ASN1 a replacement for my earlier Convert::BER
module. While ASN1.pm is not as flexable as BER.pm, because PDUs must
be described up fronta, it is also more powerful.  For example an LDAP
filter is a recursive structure, BER.pm cannot encode or decode this in
a single pass, ASN1.pm can.

Convert::ASN1 will parse ASN.1 descriptions and will encode from and
decode to perl data structures using a hierarchy of references.

%prep
%setup -q -n %module-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ChangeLog MANIFEST README
%perl_vendor_privlib/Convert*
%perl_vendor_man3dir/*

%changelog
* Tue Nov 05 2002 Stanislav Ievlev <inger@altlinux.ru> 0.16-alt1
- rebuild with new perl

* Thu Jan 24 2002 Grigory Milev <week@altlinux.ru> 0.15-alt1
- new version released

* Tue Sep 25 2001 Grigory Milev <week@altlinux.ru> 0.14-alt1
- New version released.

* Mon Sep 03 2001 Grigory Milev <week@altlinux.ru> 0.13-alt1
- New version released.

* Wed Aug 01 2001 Grigory Milev <week@altlinux.ru> 0.11-alt1
- First build for Sisyphus
